using System;

internal sealed class Delegate847 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate847 delegate847_0)
	{
		return delegate847_0(object_0);
	}

	public extern Delegate847(object object_0, IntPtr intptr_0);

	static Delegate847()
	{
		Class10.smethod_13(typeof(Delegate847).TypeHandle);
	}

	internal static Delegate847 RxZzcudcmw;
}
